Probleme de dépendances

Fermé
nadia_ssi Messages postés 10 Date d'inscription mardi 28 janvier 2014 Statut Membre Dernière intervention 17 septembre 2014 - 29 janv. 2014 à 18:44
 WarloG - 3 déc. 2014 à 13:18
Bonjour,
J'ai un probléme avec debian, chaque fois je veux installer un package il demande ses dépendances, j'ai changé le fichier /etc/apt/sources.list mais j'ai toujours le meme problème.
SVP aidez moi
Merci.

4 réponses

Bonjour

C'est sûr qu'avec un sourcelist avec un assortiment pareil ,ça ne peux pas aller..
Donc ,on a du Debian (squeeze) ?,Kali,Ubuntu,Xplimachin... ça fait un sacré sac de noeuds..
Utilisateur anonyme
29 janv. 2014 à 20:01
Salut, copie colle ici ta sources.list, stp.
entre les
balises "basic"
, c'est plus clair.

colle aussi le retour de cette commande :
cat /etc/issue;cat /etc/debian_version
nadia_ssi Messages postés 10 Date d'inscription mardi 28 janvier 2014 Statut Membre Dernière intervention 17 septembre 2014
Modifié par nadia_ssi le 30/01/2014 à 07:26
voici le fichier sources.list
"basic"
deb http://ftp.fr.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze main contrib non-free
deb http://debian.meebey.net/pkg-mono/ ./
deb http://fr.archive.ubuntu.com/ubuntu/ hardy universe
#deb http://ftp.fr.debian.org/debian/ experimental main
# deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot i386 LIVE/INSTALL Binary 20130311-20:38]/ kali contrib main non-free

#deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot i386 LIVE/INSTALL Binary 20130311-20:38]/ kali contrib main non-free

## Security updates
# Line commented out by installer because it failed to verify:
#deb http://security.kali.org/kali-security/ kali/updates main contrib non-free
deb http://repo.xplico.org/ n/a main
deb http://repo.xplico.org/ n/a main
~
~
~
~
~
~
"/etc/apt/sources.list" 15L, 789C 1,1 Tout

"basic"

et voici le retour de la commande cat /etc/issue;cat /etc/debian_version
Kali GNU/Linux 1.0 \n \l

Kali Linux 1.0
0
nadia_ssi Messages postés 10 Date d'inscription mardi 28 janvier 2014 Statut Membre Dernière intervention 17 septembre 2014
31 janv. 2014 à 12:09
Svp Aidez moi. Je suis bloquée je n'arrive à installer rien.
essaye de faire

apt-get -f upgrade
apt-get -f install
sudo dpkg --configure -a
apt-get clean
apt-get autoclean
apt-get autoremove

tiens moi au courant si tu as d'autre problème